if IsAddOnLoaded("Titan") and not IsAddOnLoaded("FuBar") then
	-- Do not load if Titanbar is loaded
	return
end
local beql, self = beql, beql
local L = AceLibrary("AceLocale-2.2"):new("beql")
local Tablet = AceLibrary("Tablet-2.0")
beqlfu = AceLibrary("AceAddon-2.0"):new("FuBarPlugin-2.0", "AceDB-2.0")

beqlfu.title = "bEQL"
beqlfu.defaultPosition = "LEFT"
beqlfu.defaultMinimapPosition = 270


function beqlfu:OnInitialize()
	beqlfu:RegisterDB("beql_FubarDB")
	beqlfu:RegisterDefaults('profile', {
		showText = true,
		showIcon = true,
		})
	beqlfu.hasIcon = true
	beqlfu:SetIcon("Interface\\Icons\\INV_Letter_03")
	beqlfu:SetText("bEQL")
	beqlfu:HideText()	
	beqlfu.OnMenuRequest = beql.options		
	beqlfu.hideWithoutStandby = true	
end

function beqlfu:OnTooltipUpdate()
    local cat = Tablet:AddCategory(
        'columns', 2
    )
    cat:AddLine(
		'text', " ",
		'text2'," "
	)
    
    cat:AddLine(
        'text', L["|cffffffffQuests|r"],
        'text2', GetNumQuestLogEntries()
    )
    
    cat:AddLine(
        'text', L["|cffff8000Tracked Quests|r"],
        'text2', GetNumQuestWatches()
    )
    
    cat:AddLine(
        'text', L["|cff00d000Completed Quests|r"],
        'text2', beql:GetAllfinished()
    )    
	Tablet:SetHint(L["|cffeda55fClick|r to open Quest Log and |cffeda55fShift+Click|r to open Waterfall config"])    
end

function beqlfu:OnClick()
	if IsShiftKeyDown() then
		beqlwaterfall:Open("bEQL")
	else
		ToggleQuestLog()
	end
end